Skip to content
This is a new version of the Kivra Developer Docs. Report issues or share feedback at avsandare.support@kivra.se. The previous version can be found here.

Update store

PUT
/dr/v1/stores/{storeID}
curl --request PUT \
--url https://sender.sandbox-api.kivra.com/dr/v1/stores/example \
--header 'Content-Type: application/json' \
--data '{ "name": "Demo store", "vat": "SE123456789100", "owner_id": "1593602546268ce6ece6cf49969f52f8a724e6f1f5", "address": { "street1": "Gatan 1", "postalcode": "13254", "city": "onebuying", "country": "SWE" }, "icon": { "data": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVQYV2NgYAAAAAMAAWgmWQ0AAAAASUVORK5CYII=", "content_type": "image/png" }, "logo": { "data": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVQYV2NgYAAAAAMAAWgmWQ0AAAAASUVORK5CYII=", "content_type": "image/png" } }'

A partner can update store information using this endpoint.

Access scope

  • PARTNER
  • CHAIN
  • STORE
storeID
required
string

Store ID

Takes in a store object with fields to be modified. Fields not present in the body are not modified.

Media typeapplication/json
UpdateStore
object
name

The name of the store

string
>= 1 characters
vat

The VAT number of the store

string
/^((SE)?[0-9]{12})$"/
owner_id

ID of the owner company (chain)

string
/^([a-z0-9]{42})$/
phone

The phone number of the store

string
address

The address of the store

object
street1
string
street2
string
street3
string
postalcode
string
city
string
state
string
country
string
>= 3 characters <= 3 characters
icon

Icon displayed on the receipt

object
data
required

Base64 encoded image

string
content_type
required

The image content type

string
logo

Logo displayed on the receipt

object
data
required

Base64 encoded image

string
content_type
required

The image content type

string
Example
{
"name": "Demo store",
"vat": "SE123456789100",
"owner_id": "1593602546268ce6ece6cf49969f52f8a724e6f1f5",
"address": {
"street1": "Gatan 1",
"postalcode": "13254",
"city": "onebuying",
"country": "SWE"
},
"icon": {
"data": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVQYV2NgYAAAAAMAAWgmWQ0AAAAASUVORK5CYII=",
"content_type": "image/png"
},
"logo": {
"data": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVQYV2NgYAAAAAMAAWgmWQ0AAAAASUVORK5CYII=",
"content_type": "image/png"
}
}

Store successfully updated

Media typeapplication/json
object
Examplegenerated
{}

Bad request

Media typeapplication/json
ErrorResponse
object
error_code
string
short_message
string
long_message
string
error_detail
Array<string>
Examples
Exampleunauthorized
{
"error_code": "40000",
"short_message": "bad request",
"long_message": "body s missing required fields or has invalid fields"
}

Unauthorized

Media typeapplication/json
ErrorResponse
object
error_code
string
short_message
string
long_message
string
error_detail
Array<string>
Examples
Exampleunauthorized
{
"error_code": "40100",
"short_message": "unauthorized",
"long_message": "permission denied"
}

Conflict

Media typeapplication/json
ErrorResponse
object
error_code
string
short_message
string
long_message
string
error_detail
Array<string>
Examples
Examplevat_exists
{
"error_code": "40900",
"short_message": "conflict",
"long_message": "company with the given vat exists"
}

Internal server error

Media typeapplication/json
ErrorResponse
object
error_code
string
short_message
string
long_message
string
error_detail
Array<string>
Example
{
"error_code": "50000",
"short_message": "internal server error",
"long_message": "unknown error ocurred"
}